
Infrastructure - Task #2890

Upon initial install of CNs, /var/lib/ldap is not chown'ed

2012-06-08 21:00 - Robert Waltz

Status: Closed Start date: 2012-06-08

Priority: High Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_cn_buildout Estimated time: 0.00 hour

Target version: Sprint-2012.23-Block.3.4   

Milestone: CCI-1.0.1 Story Points:  

Product Version: *   

Description

for machines that are not the first machine installed,  it does not appear that /var/lib/ldap has the following command applied: chown

openldap.openldap 

History

#1 - 2012-06-12 20:42 - Robert Waltz

- Milestone changed from CCI-1.0.0 to CCI-1.0.1

#2 - 2012-06-13 15:04 - Robert Waltz

- Status changed from New to In Progress

#3 - 2012-06-13 15:27 - Robert Waltz

The call was in postinst script. I moved its position to be directly before ldap is restarted.

I also changed the logic in the non-dataone ldap population. Those entries will be populated for each CN, while only the dataone specific entries will

be populated for the first CN deployed.

#4 - 2012-06-19 05:26 - Robert Waltz

- Status changed from In Progress to Closed
